summaryrefslogtreecommitdiff
path: root/tests/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run.sh')
-rwxr-xr-xtests/run.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/run.sh b/tests/run.sh
index 8720736..ba51e28 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -10,6 +10,7 @@ wai=$(dirname $(readlink -f "$0")) # Current script directory
tests=$(find ${wai}/ -maxdepth 1 -mindepth 1 -type d) # Find tests
out=$(mktemp)
test_timeout=20
+abort=1
for test in ${tests}
do
@@ -38,7 +39,7 @@ do
echo "------------- Got -------------"
cat "$out";
rm "$out"
- exit 1
+ [ $abort -eq 1 ] && exit 1
fi
# Prepare for next test